/******************************************************************************/
/* Files da includere                                                         */
/******************************************************************************/

#include <xc.h>             /* XC8 General Include File */
#include <stdint.h>         
#include <stdbool.h>        

#include "header.h"

/******************************************************************************/
/* Funzioni                                                                   */
/******************************************************************************/

//Inizializza il PIC
void InitApp(void)
{
    //Attivo il PLL
    OSCTUNEbits.PLLEN = 1;
    __delay_ms(10);

    //Configuro le porte D come uscite
    TRISD=0;
    PORTD=0;

    //Pin TX e RX del modulo UART
    TRISC6=0;
    TRISC7=1;
    
    //Configurazione modulo UART
    //Trasmissione asincrona a 8bit, alta velocit e generatore del baud-rate a 8bit
    //Invio e ricezione dati non invertita e idle state ad alto livello
    TXSTA1=0b00100100;
    RCSTA1=0b10010000;
    BAUDCON1=0;
    SPBRG1=155;         //Baud=19200 (Fout=Fosc/(16*(SPBRG1+1))
      
}


//Dato in ingresso una stringa, invia un carattere per volta alla seriale.
void stampaTesto(char *t)
{
    while (*t)
    {
        while(!TX1IF);
        TXREG1=*t;
        t++;
    }
}